



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>iOS仿京东分类菜单之UICollectionView内容</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">iOS仿京东分类菜单之UICollectionView内容</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 01:25:50 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在上《<a href="http://www.cnblogs.com/wujy/p/4870133.html" rel="external nofollow noreferrer">iOS仿京东分类菜单实例实现</a>》已经实现了大部分主体的功能，本文是针对右边集合列表进行修改扩展，使它达到分组的效果，本文涉及到的主要是UICollectionView的知识内容，左边列表的实现见上一篇文章，先看实现的效果图：</p>
<table>
<tbody>
<tr>
<td><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/80291/201510/80291-20151012150219179-257172752.png" /></td>
<td><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/80291/201510/80291-20151012150255835-1360284951.png" /></td>
</tr>
</tbody>
</table>
<p><strong>一：实体的创建</strong></p>
<p>1.1分组实体的创建(tagID跟左边表格进行关联，roomArray是存放房间的数组，也就是单元格的集合)</p>
<div>
<pre class="prettyprint linenums">#import &lt;Foundation/Foundation.h&gt;

@interface rightModel : NSObject<br />
//实体leftTageModel中的主键值<br />
@property(assign,nonatomic)long tagID;<br />
@property(assign,nonatomic)long roomStyleID;<br />
@property(copy,nonatomic)NSString *roomStyleName;<br />
//房间实体headRightModel的数组<br />
@property(strong,nonatomic)NSMutableArray *roomArray;<br />
@end</pre>
</div>
<p>1.2房间实体的创建</p>
<div>
<pre class="prettyprint linenums">#import &lt;Foundation/Foundation.h&gt;

@interface headRightModel : NSObject

@property(assign,nonatomic)long roomID;<br />
@property(copy,nonatomic)NSString *roomName;<br />
@property(copy,nonatomic)NSString *roomImageUrl;<br />
@end</pre>
</div>
<p><strong>二：单元格的创建</strong></p>
<div>
<pre class="prettyprint linenums">#import &lt;UIKit/UIKit.h&gt;<br />
#import "headRightModel.h"

@interface rightCollectionViewCell : UICollectionViewCell

@property(strong,nonatomic)headRightModel *curHeadRightModel;

+(CGSize)ccellSize;

@end</pre>
</div>
<div>
<pre class="prettyprint linenums">#import "rightCollectionViewCell.h"

@interface rightCollectionViewCell()<br />
@property(strong,nonatomic)UIImageView *roomImageView;<br />
@property(strong,nonatomic)UILabel *roomLabel;<br />
@end

static const CGFloat collectionCellHeight=;<br />
static const CGFloat labelHeight=;

@implementation rightCollectionViewCell

//这边很关键 CollectionViewCell重用<br />
- (id)initWithFrame:(CGRect)frame<br />
{<br />
    self = [super initWithFrame:frame];<br />
    if (self) {<br />
        if (self.roomImageView==nil) {<br />
            self.roomImageView=[[UIImageView alloc] initWithFrame:CGRectMake(, , ([UIScreen mainScreen].bounds.size.width--*)/, collectionCellHeight-labelHeight)];<br />
            self.roomImageView.contentMode=UIViewContentModeScaleAspectFill;<br />
            self.roomImageView.clipsToBounds = YES;<br />
            self.roomImageView.layer.masksToBounds = YES;<br />
            self.roomImageView.layer.cornerRadius = 2.0;<br />
            [self.contentView addSubview:self.roomImageView];<br />
        }

        if (self.roomLabel==nil) {<br />
            self.roomLabel=[[UILabel alloc]init];<br />
            self.roomLabel.font=[UIFont systemFontOfSize:];<br />
            self.roomLabel.textAlignment=NSTextAlignmentCenter;<br />
            [self.roomLabel sizeToFit];<br />
            [self.contentView addSubview:self.roomLabel];<br />
            [self.roomLabel mas_makeConstraints:^(MASConstraintMaker *make) {<br />
                make.top.mas_equalTo(self.roomImageView.mas_bottom).with.offset();<br />
                make.centerX.mas_equalTo(self.roomImageView).with.offset();<br />
                make.height.mas_equalTo(labelHeight);<br />
            }];<br />
        }<br />
    }<br />
    return self;<br />
}

-(void)setCurHeadRightModel:(headRightModel *)curHeadRightModel<br />
{<br />
    _curHeadRightModel=curHeadRightModel;<br />
    self.roomImageView.image=[UIImage imageNamed:_curHeadRightModel.roomImageUrl];<br />
    self.roomLabel.text=_curHeadRightModel.roomName;<br />
}

+(CGSize)ccellSize<br />
{<br />
    return CGSizeMake(([UIScreen mainScreen].bounds.size.width--*)/,collectionCellHeight);<br />
}<br />
@end</pre>
</div>
<p><strong>三：创建节点显示视图</strong></p>
<div>
<pre class="prettyprint linenums">#import &lt;UIKit/UIKit.h&gt;

@interface myHeadView : UICollectionReusableView

- (void) setLabelText:(NSString *)text;<br />
@end</pre>
</div>
<p>注意它是继承UICollectionReusableView</p>
<div>
<pre class="prettyprint linenums">#import "myHeadView.h"

@interface myHeadView()<br />
@property (strong, nonatomic) UILabel *label;<br />
@end

@implementation myHeadView

- (id)initWithFrame:(CGRect)frame<br />
{<br />
    self = [super initWithFrame:frame];<br />
    if (self)<br />
    {<br />
        self.label = [[UILabel alloc] init];<br />
        //在这边调整它的位置<br />
        self.label.frame=CGRectMake(, , , );<br />
        self.label.font = [UIFont systemFontOfSize:];<br />
        self.label.backgroundColor=[UIColor brownColor];<br />
        self.label.textColor=[UIColor yellowColor];<br />
        [self addSubview:self.label];<br />
    }<br />
    return self;<br />
}

- (void) setLabelText:(NSString *)text<br />
{<br />
    self.label.text = text;<br />
}

@end</pre>
</div>
<p><strong>四：创建测试数据跟初始化集合列表</strong></p>
<div>
<pre class="prettyprint linenums">- (void)viewDidLoad {<br />
    [super viewDidLoad];

    //初始化<br />
    self.view.backgroundColor=[UIColor whiteColor];<br />
    self.dataList=[[NSMutableArray alloc]init];<br />
    self.rightdataList=[[NSMutableArray alloc]init];<br />
    self.allRightDataList=[[NSMutableArray alloc]init];<br />
    self.isReturnLastOffset=YES;<br />
    //是否允许右位保持滚动位置<br />
    self.isKeepScrollState=YES;<br />
    //测试数据<br />
    for (int i=; i&lt;; i++) {

        //左边列表数据<br />
        leftTagModel *item=[[leftTagModel alloc]init];<br />
        item.tagID=i;<br />
        item.tagName=[NSString stringWithFormat:@"第%d层",i];<br />
        [self.dataList addObject:item];

        //右边列表数据<br />
        for (int j=; j&lt;; j++) {<br />
            rightModel *model=[[rightModel alloc]init];<br />
            model.tagID=i;<br />
            model.roomStyleID=j;<br />
            model.roomStyleName=[NSString stringWithFormat:@"%d层类型%d",i,j];<br />
            NSMutableArray *headRightModelArray=[[NSMutableArray alloc]init];<br />
            for (int z=; z&lt;; z++) {<br />
                headRightModel *headrightModel=[[headRightModel alloc]init];<br />
                headrightModel.roomID=z;<br />
                headrightModel.roomName=[NSString stringWithFormat:@"%d类房间%d",j,z];<br />
                headrightModel.roomImageUrl=[NSString stringWithFormat:@"room%d",z%];<br />
                [headRightModelArray addObject:headrightModel];<br />
            }<br />
            model.roomArray=headRightModelArray;<br />
            [self.allRightDataList addObject:model];<br />
        }<br />
    }

    //创建列表<br />
    if (!_myTableView) {<br />
        _myTableView = [[UITableView alloc] initWithFrame:CGRectMake(,,tableWidthSize, kScreenHeight) style:UITableViewStylePlain];<br />
        _myTableView.backgroundColor=[UIColor grayColor];<br />
        _myTableView.showsVerticalScrollIndicator = NO;<br />
        _myTableView.showsHorizontalScrollIndicator=NO;<br />
        _myTableView.dataSource = self;<br />
        _myTableView.delegate = self;<br />
        _myTableView.tableFooterView=[[UIView alloc]init];<br />
        _myTableView.separatorColor= [UIColor colorWithRed:52.0f/255.0f green:53.0f/255.0f blue:61.0f/255.0f alpha:];<br />
        [_myTableView registerClass:[leftTableCell class] forCellReuseIdentifier:NSStringFromClass([leftTableCell class])];

        if ([self.myTableView respondsToSelector:@selector(setLayoutMargins:)]) {<br />
            self.myTableView.layoutMargins=UIEdgeInsetsZero;<br />
        }<br />
        if ([self.myTableView respondsToSelector:@selector(setSeparatorInset:)]) {<br />
            self.myTableView.separatorInset=UIEdgeInsetsZero;<br />
        }<br />
        [self.view addSubview:_myTableView];<br />
    }

    //创建集合表格<br />
    if (!_myCollectionView) {<br />
        UICollectionViewFlowLayout *layout = [[UICollectionViewFlowLayout alloc] init];<br />
        self.myCollectionView = [[UICollectionView alloc] initWithFrame:CGRectMake(tableWidthSize+leftMargin,, kScreenWidth-tableWidthSize-*leftMargin, kScreenHeight) collectionViewLayout:layout];<br />
        self.myCollectionView.backgroundColor=[UIColor whiteColor];<br />
        self.myCollectionView.showsHorizontalScrollIndicator=NO;<br />
        self.myCollectionView.showsVerticalScrollIndicator=NO;<br />
        [self.myCollectionView registerClass:[rightCollectionViewCell class] forCellWithReuseIdentifier:NSStringFromClass([rightCollectionViewCell class])];<br />
        [self.myCollectionView registerClass:[myHeadView class] forSupplementaryViewOfKind:UICollectionElementKindSectionHeader withReuseIdentifier:NSStringFromClass([myHeadView class])];<br />
        self.myCollectionView.dataSource = self;<br />
        self.myCollectionView.delegate = self;<br />
        [self.view addSubview:self.myCollectionView];<br />
    }

    self.selectIndex=;<br />
    //默认选择第一个<br />
    if (self.dataList.count&gt;) {<br />
        self.curSelectModel=[self.dataList objectAtIndex:self.selectIndex];<br />
        [self.myTableView selectRowAtIndexPath:[NSIndexPath indexPathForRow:self.selectIndex inSection:] animated:YES scrollPosition:UITableViewScrollPositionTop];<br />
        [self.myTableView reloadData];

        //右边数据加载<br />
        [self predicateDataSoure];<br />
    }<br />
}</pre>
</div>
<p>注意:关于节视图的注册</p>
<p>[self.myCollectionView registerClass:[myHeadView class] forSupplementaryViewOfKind:UICollectionElementKindSectionHeader withReuseIdentifier:NSStringFromClass([myHeadView class])];</p>
<p><strong>五：集合视图UICollectionViewDataSource, UICollectionViewDelegate的内容</strong></p>
<div>
<pre class="prettyprint linenums">-(NSInteger)numberOfSectionsInCollectionView:(UICollectionView *)collectionView{<br />
    return self.rightdataList.count;<br />
}

- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section{<br />
    rightModel * array=self.rightdataList[section];

    if (array.roomArray.count==) {<br />
        return ;<br />
    }<br />
    else<br />
    {<br />
        return array.roomArray.count;<br />
    }<br />
}

- (UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath{<br />
    rightCollectionViewCell *ccell = [collectionView dequeueReusableCellWithReuseIdentifier:NSStringFromClass([rightCollectionViewCell class]) forIndexPath:indexPath];<br />
    rightModel * array=self.rightdataList[indexPath.section];<br />
    headRightModel *model=[array.roomArray objectAtIndex:indexPath.row];<br />
    ccell.curHeadRightModel=model;<br />
    return ccell;<br />
}

-(CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout referenceSizeForHeaderInSection:(NSInteger)section<br />
{<br />
    CGSize size = {,};<br />
    return size;<br />
}

- (UICollectionReusableView *)collectionView:(UICollectionView *)collectionView viewForSupplementaryElementOfKind:(NSString *)kind atIndexPath:(NSIndexPath *)indexPath{

    myHeadView *headView;<br />
    rightModel * array=self.rightdataList[indexPath.section];<br />
    if([kind isEqual:UICollectionElementKindSectionHeader])<br />
    {<br />
        headView = [collectionView dequeueReusableSupplementaryViewOfKind:UICollectionElementKindSectionHeader withReuseIdentifier:NSStringFromClass([myHeadView class]) forIndexPath:indexPath];<br />
        //别在这对headView坐标做处理<br />
        [headView setLabelText:[NSString stringWithFormat:@"%@",array.roomStyleName]];<br />
    }

    return headView;<br />
}

- (CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout sizeForItemAtIndexPath:(NSIndexPath *)indexPath{<br />
    return [rightCollectionViewCell ccellSize];<br />
}<br />
- (UIEdgeInsets)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout insetForSectionAtIndex:(NSInteger)section{<br />
    return UIEdgeInsetsZero;<br />
}<br />
- (CGFloat)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout minimumLineSpacingForSectionAtIndex:(NSInteger)section{<br />
    return ;<br />
}<br />
- (CGFloat)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout minimumInteritemSpacingForSectionAtIndex:(NSInteger)section{<br />
    return ;<br />
}

- (void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath{

}</pre>
</div>
<p>注意：别在viewForSupplementaryElementOfKind，对myHeadView进行坐标的调整，因为它是全局的，会导致所有的节点都混在一起，记得设置它的节头大小，才会显示出来；</p>
<p><strong>&nbsp;六：扩展关于viewForSupplementaryElementOfKind，它可以设置节头跟节脚，下面引用网上一个比较全的说明</strong></p>
<div>
<pre class="prettyprint linenums">- (UICollectionReusableView *)collectionView:(UICollectionView *)collectionView viewForSupplementaryElementOfKind:(NSString *)kind atIndexPath:(NSIndexPath *)indexPath

为collection view添加一个补充视图(页眉或页脚)

- (CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout referenceSizeForHeaderInSection:(NSInteger)section

设定页眉的尺寸

- (CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout*)collectionViewLayout referenceSizeForFooterInSection:(NSInteger)section

设定页脚的尺寸

- (void)registerClass:(Class)viewClass forSupplementaryViewOfKind:(NSString *)elementKind withReuseIdentifier:(NSString *)identifier</pre>
</div>
<p>视图创建：</p>
<div>
<pre class="prettyprint linenums">[self.myCollectionView registerClass:[MyHeadView class] forSupplementaryViewOfKind:UICollectionElementKindSectionHeader withReuseIdentifier:@"hxwHeader"];<br />
[self.myCollectionView registerClass:[MyHeadView class] forSupplementaryViewOfKind:UICollectionElementKindSectionFooter withReuseIdentifier:@"hxwHeader"];

-(CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout referenceSizeForHeaderInSection:(NSInteger)section<br />
{<br />
    CGSize size = {,};<br />
    return size;<br />
}

-(CGSize)collectionView:(UICollectionView *)collectionView layout:(UICollectionViewLayout *)collectionViewLayout referenceSizeForFooterInSection:(NSInteger)section<br />
{<br />
    CGSize size = {,};<br />
    return size;<br />
}

- (UICollectionReusableView *)collectionView:(UICollectionView *)collectionView viewForSupplementaryElementOfKind:(NSString *)kind atIndexPath:(NSIndexPath *)indexPath<br />
{<br />
    MyHeadView *headView;

    if([kind isEqual:UICollectionElementKindSectionHeader])<br />
    {<br />
         headView = [collectionView dequeueReusableSupplementaryViewOfKind:UICollectionElementKindSectionHeader withReuseIdentifier:@"hxwHeader" forIndexPath:indexPath];<br />
        [headView setLabelText:[NSString stringWithFormat:@"section %d's header",indexPath.section]];<br />
    }<br />
    else if([kind isEqual:UICollectionElementKindSectionFooter])<br />
    {<br />
        headView = [collectionView dequeueReusableSupplementaryViewOfKind:UICollectionElementKindSectionFooter withReuseIdentifier:@"hxwHeader" forIndexPath:indexPath];<br />
        [headView setLabelText:[NSString stringWithFormat:@"section %d's footer",indexPath.section]];<br />
    }<br />
    return headView;<br />
}</pre>
</div>
<p><a href="http://download.csdn.net/detail/u010127054/9174123" rel="external nofollow noreferrer">实例源代码下载地址</a></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/495v30qz.html">01&period;Web大前端时代之：HTML5&plus;CSS3入门系列~初识HTML5</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8z2zd18.html">11&period; javacript高级程序设计-DOM扩展</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql02d0q.html">SVN----------项目服务器上的svn客户端自动更新设置。</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde0kkv9.html">Delphi 线程同步技术（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvvkj1q.html">本地获取System权限CMD方法汇总&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2ww47wq.html">javascript 判断身份证的正确性</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1mnrm9.html">js之内置对象</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1735z9.html">犯这个错误的肯定不止我一个 关于File</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mvz41q.html">json中文编码问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojlm6pq.html">PendingIntent、Notification常用方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge05p08.html">hexo持续更新记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y2yxz8.html">ORACLE DB TRIGGER详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgv3x78.html">Markdown初使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk16ye8.html">web&period;xml：&amp;lt&semi;dispatcher&amp;gt&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdn3gz9.html">无法生成core dump文件的几个原因</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllrjr1q.html">Python pycharm 常用快捷键</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pm4o3q.html">zw版【转发&amp;&num;183&semi;台湾nvp系列Delphi例程】HALCON AngleLl</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkj02v8.html">【android】&lbrack;转&rsqb;Android软件测试的日志文件抓取简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2k21zxq.html">Tree&lpar;树链剖分&plus;线段树延迟标记&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pl6w5q.html">ES6的新特性（22）&mdash;&mdash;Reflect</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/1q24odo8.html">Android版Ftp服务端软件</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxvpnz9.html">Bower 手册</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8m03wo9.html">Android系统架构说明介绍</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxvpyv9.html">移动审批App开发总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zwmm18.html">Tips1&colon;用 Export Package选项来分享你的成果</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9pr13zq.html">移除了css框架，世界干净了</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq40e2n8.html">Network - Nmap</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq4lyp08.html">我理解的Android加载器</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qyzdpm9.html">关于Latch争用</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq4lzy58.html">基于GTID Replication主从数据不一致操作</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
